var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { css, html, LitElement } from "lit";
import { customElement, property } from "lit/decorators.js";
let HeadingXxl = class HeadingXxl extends LitElement {
    constructor() {
        super(...arguments);
        this.label = "";
    }
    render() {
        return html `<h1>${this.label}</h1>`;
    }
};
HeadingXxl.styles = css `
    h1 {
      position: relative;
      color: var(--Ocan-500, #004271);
      font-family: Barlow;
      font-size: 32px;
      font-style: normal;
      font-weight: 700;
      line-height: normal;
    }

    h1::after {
      position: absolute;
      left: 0px;
      bottom: -16px;
      content: "";
      width: 63px;
      height: 6px;
      border-radius: 4px;
      background: var(--Kiwi-500, #80d33a);
    }
  `;
__decorate([
    property({ type: String })
], HeadingXxl.prototype, "label", void 0);
HeadingXxl = __decorate([
    customElement("opco-h1")
], HeadingXxl);
export { HeadingXxl };
//# sourceMappingURL=heading.js.map